<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: indicador_datos_informe.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Muestra todos los parametros de un indicador y la gráfica de los valores introducidos
//---------------------------------------------------------------------------------------------------
global $basedatos;
require_once('function/sanitize.php');

if (isset($_GET['id_acta']))
{
	$id_acta=sanitize($_GET['id_acta'],2);
	$acta = new acta();
	$condicion="id_acta=".$id_acta;
	$acta ->load_joined($condicion);
	//datos del acta
	$nombre_acta=$acta->nombre; 
	$nombre_grupo=$acta->entidad[0]->nombre; 
	$fecha_acta=$acta->fecha; 
	$fecha_fin=$acta->fin;

	//empezamos el rtf
	$null = null;
	//defino los tips de letra
	$arial8 = new Font(8, 'Arial', '#000000');
	$arial8azul = new Font(8, 'Arial', '#0077aa');
	//defino el formato de los parrafos
	$parF = new ParFormat('left');
	$parM = new ParFormat('midle');
	//creo el objeto rtf
	$rtf = new Rtf(); 
	//creamos la cabecera
	$header = &$rtf->addHeader('all');
	$header->addImage('theme/usevilla/logo.jpg', $null);
	//$header->writeText('<tab>Indicadores de la Unidad '.utf8_decode($_nombre_pagina).'<tab><chdate>', new Font(), new ParFormat('right'));
	if ($acta->fin == NULL)
	{$header->writeText('<b>Borrador de Acta</b>-<chdate>', new Font(), new ParFormat('left'));}
	//configuración de tamaño y márgenes de la página
	$sect = &$rtf->addSection();
	$sect->setPaperWidth(21);
	$sect->setPaperHeight(29.5);
	$marginTop = 2;	$marginBottom = 2;$marginLeft = 3;	$marginRight = 3;
	$sect->setMargins($marginLeft, $marginTop, $marginRight, $marginBottom);
	//salto una linea
	$sect->writeText('<b>Acta</b> ', $arial8azul, $parF);
	$datos_acta = &$sect->addTable();
        //Añado $filas filas de altura 0,5
 	$datos_acta ->addRows(5, 0.1);
        $datos_acta ->setLeftPosition(1.5);
        //Divido las filas en columnas 
        $datos_acta ->addColumnsList(array(3.5,12));
	$datos_acta ->setBackgroundOfCells('#eeeeee', 1,1, 5, 2);
        //relleno datos tabla
	$datos_acta ->writeToCell(1,1,'<b>Acta: </b> ',$arial8,$null);
        $datos_acta ->writeToCell(2,1,'<b>Grupo: </b> ',$arial8,$null);
        $datos_acta ->writeToCell(3,1,'<b>Nombre: </b> ',$arial8,$null);
        $datos_acta ->writeToCell(4,1,'<b>Fecha: </b> ',$arial8,$null);
        $datos_acta ->writeToCell(5,1,'<b>Fin: </b> ',$arial8,$null);

        $datos_acta ->writeToCell(1,2,$acta->numero,$arial8,$null);
        $datos_acta ->writeToCell(2,2,$acta->entidad[0]->nombre,$arial8,$null);
        $datos_acta ->writeToCell(3,2,$acta->nombre,$arial8,$null);
        $datos_acta ->writeToCell(4,2,date("d-m-Y",$acta->fecha),$arial8,$null);
        $datos_acta ->writeToCell(5,2,date("d-m-Y",$acta->fin),$arial8,$null);

	//datos asistentes
	$sect->writeText('<b>Asistentes:</b>', $arial8azul, $parF);
	foreach ($acta->asistentes as $asiste)
		{
		if($asiste->asistencia == 1)
			{
			$sect->writeText('<tab>'.$asiste->nombre, $arial8, $parF);
			}
		}
	$sect->writeText('<b>No asistentes:</b>', $arial8azul, $parF);
        foreach ($acta->asistentes as $asiste)
                {
                if($asiste->asistencia == 0)
                        {
                        $sect->writeText('<tab>'.$asiste->nombre, $arial8, $parF);
                        }
                }
	//datos de los acuerdos
	$sect->writeText('<b>Acuerdos:</b>', $arial8azul, $parF);
		if($acta->acuerdos)
		{	
			foreach ($acta->acuerdos as $acuerdo)
                		{
                        		$sect->writeText('<tab>Nº '.$acuerdo->numero.'-'.$acuerdo->acuerdo, $arial8, $parF);
                		}
		}	
        	else
        	{
        		$sect->writeText(':: No existen acuerdos ::', $arial8, $parM);
        	}
	//datos de las tareas en tabla
        $sect->writeText('<b>Tareas:</b>', $arial8azul, $parF);
		if ($acta->tareas)
                	{
                        foreach ($acta->tareas as $tarea)
                                {
				$table_tareas = &$sect->addTable();
        			//Añado $filas filas de altura 0,5
        			$table_tareas ->addRows(7, 0);
       				//Divido las filas en 3 columnas de 4 y 12 de ancho
				$table_tareas ->setLeftPosition(1.5);
        			$table_tareas ->addColumnsList(array(3.5,4,10));
				$table_tareas ->setBackgroundOfCells('#eeeeee', 1,1, 6, 3);
				//$table_tareas ->setBordersOfCells(new BorderFormat(1, "#0077aa"),1,1,6,3);

				$table_tareas ->writeToCell(1,1,'<b>Número: </b> '.$tarea->numero,$arial8,$null);
        			$table_tareas ->writeToCell(2,2,'<b>Responsable: </b> ',$arial8,$null);
        			$table_tareas ->writeToCell(3,2,'<b>Tarea: </b> ',$arial8,$null);
        			$table_tareas ->writeToCell(4,2,'<b>Adjudicación: </b> ',$arial8,$null);
        			$table_tareas ->writeToCell(5,2,'<b>Estimada: </b> ',$arial8,$null);
        			$table_tareas ->writeToCell(6,2,'<b>Final: </b> ',$arial8,$null);
	
        			$table_tareas ->writeToCell(2,3,$tarea->nombre,$arial8,$null);
        			$table_tareas ->writeToCell(3,3,$tarea->tarea,$arial8,$null);
        			$table_tareas ->writeToCell(4,3,date("d-m-Y",$tarea->adjudicacion),$arial8,$null);
        			$table_tareas ->writeToCell(5,3,date("d-m-Y",$tarea->estimada),$arial8,$null);
        			$table_tareas ->writeToCell(6,3,date("d-m-Y",$tarea->finalizacion),$arial8,$null);
        			}
			}
        	else
                	{
                        	$sect->writeText(':: No existen tareas ::', $arial8, $parF);
                	}
	//Pie de página
	$footer = &$rtf->addFooter('all');
	$footer->writeText('Acta generada por ICASUS 0.5<tab><tab>página <pagenum>',new Font(), new ParFormat('right'));

	$rtf->sendRtf('Acta_'.$acta->numero);
}
else
{
	echo "No se puede generar el informe del indicador por falta de parámetros.";
	
}
?>

